websearch()
{
  # See <https://duckduckgo.com/bangs>.
  xdg-open "https://duckduckgo.com/lite/?q=!ducky ${2+site:}$*"
}

webdebian()
{
  xdg-open "https://packages.debian.org/search?searchon=names&section=all&keywords=$*"
}

webubuntu()
{
  xdg-open "https://packages.ubuntu.com/search?searchon=names&section=all&keywords=$*"
}

webcpp()
{
  websearch "https://cppreference.com/w/cpp/" "$@"
}

webc()
{
  websearch "https://cppreference.com/w/c/" "$@"
}

webwin32()
{
  # websearch "https://learn.microsoft.com/en-us/windows/win32/api/" "$@"
  websearch "https://learn.microsoft.com/en-us/windows/" "win32/api" "$@"
}
